Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.extension.mock
Class CglibCoreMock

    java.lang.Object
      org.jmock.core.AbstractDynamicMock
          net.sf.joyaop.extension.mock.CglibCoreMock

All Implemented Interfaces:
  net.sf.cglib.proxy.Callback, net.sf.cglib.proxy.MethodInterceptor, org.jmock.core.DynamicMock, org.jmock.core.Verifiable

    public class CglibCoreMock

extends org.jmock.core.AbstractDynamicMock
implements net.sf.cglib.proxy.MethodInterceptor

Modified from JMock, copyright jmock.org

Author:
  Shen Li

Constructor Summary
`CglibCoreMock(java.lang.Class mockedType, java.lang.String roleName, java.lang.Class[] argTypes, java.lang.Object[] args)`

Method Summary
`java.lang.Object` | `intercept(java.lang.Object thisProxy, java.lang.reflect.Method method, java.lang.Object[] args, net.sf.cglib.proxy.MethodProxy superProxy)`
`java.lang.Object` | `proxy()`

Methods inherited from class org.jmock.core.AbstractDynamicMock
`addInvokable, getMockedType, getMockName, mockInvocation, mockNameFromClass, reset, setDefaultStub, toString, verify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CglibCoreMock

    public CglibCoreMock(java.lang.Class mockedType,
                         java.lang.String roleName,
                         java.lang.Class[] argTypes,
                         java.lang.Object[] args)

Method Detail

### proxy

    public java.lang.Object proxy()

  Specified by:
    `proxy` in interface `org.jmock.core.DynamicMock`

### intercept

    public java.lang.Object intercept(java.lang.Object thisProxy,
                                      java.lang.reflect.Method method,
                                      java.lang.Object[] args,
                                      net.sf.cglib.proxy.MethodProxy superProxy)
                               throws java.lang.Throwable

  Specified by:
    `intercept` in interface `net.sf.cglib.proxy.MethodInterceptor`
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD